> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nudj.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Get language configurations

> Retrieve all language configurations. Note that translation objects contain only overrides of the default language. Empty translation objects ({}) mean 'use default translations'.



## OpenAPI

````yaml /openapi/admin.json get /languages
openapi: 3.1.0
info:
  title: Nudj Admin API
  version: 1.0.0
servers:
  - url: https://{subdomain}.nudj.cx/api/v2/admin
    description: Organization API Server
    variables:
      subdomain:
        description: Your organization's subdomain (required)
        default: your-org
security:
  - ApiToken: []
paths:
  /languages:
    get:
      tags:
        - Language
      summary: Get language configurations
      description: >-
        Retrieve all language configurations. Note that translation objects
        contain only overrides of the default language. Empty translation
        objects ({}) mean 'use default translations'.
      operationId: getLanguages
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LanguageConfig'
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
components:
  schemas:
    LanguageConfig:
      type: object
      properties:
        language:
          type: string
          description: The language code (e.g., 'en', 'fr', 'es')
        translation:
          allOf:
            - $ref: '#/components/schemas/Translation'
          default: {}
          description: >-
            Translation key-value pairs. Can contain nested objects. Empty
            object means 'use default translations'
        enabled:
          type: boolean
          description: Whether this language is enabled
      required:
        - language
        - translation
        - enabled
      title: Language Configuration
      description: Configuration for platform language and translations
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
    Translation:
      type: object
      additionalProperties:
        anyOf:
          - type: string
          - $ref: '#/components/schemas/Translation'
  securitySchemes:
    ApiToken:
      type: apiKey
      in: header
      name: x-api-token

````